Bug 1310583 - [GSS](6.6.x) TransactionTable should ignore view changes during shutdown
[GSS](6.6.x) TransactionTable should ignore view changes during shutdown
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan (Show other bugs)
6.5.0
Unspecified Unspecified
unspecified Severity unspecified
: ER1
: 6.6.1
Assigned To: wfink
Martin Gencur
:
Depends On:
Blocks: 1309749 1310652
  Show dependency treegraph
 
Reported: 2016-02-22 05:06 EST by wfink
Modified: 2018-02-07 19:27 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1310652 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-6043 Major Resolved TransactionTable should ignore view changes during shutdown 2017-07-24 14:39 EDT
Red Hat Knowledge Base (Solution) 2188631 None None None 2016-03-03 04:28 EST

  None (edit)
Description wfink 2016-02-22 05:06:24 EST
Description of problem:
During shutdown, TransactionTable unregisters itself as a view change listener, but it can still receive view change notifications after it stopped the executor service.
The exception is harmless for the stopping cache, the problem is that the following view change listeners are also skipped. We should fix both TransactionTable to avoid throwing the exception, and CacheManagerNotifier to ignore any exceptions during view changes.
Comment 3 Mike McCune 2016-03-28 19:45:25 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Note You need to log in before you can comment on or make changes to this bug.